package cn.ysk.cashier.service.shop;

import cn.ysk.cashier.dto.shop.ShopInfoUpdateDTO;
import cn.ysk.cashier.dto.shop.ShopMsgRemoveDTO;
import cn.ysk.cashier.dto.shop.ShopMsgStateDTO;
import cn.ysk.cashier.mybatis.entity.TbShopOpenId;
import cn.ysk.cashier.pojo.shop.TbFullShopId;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.HashMap;
import java.util.Optional;

public interface MsgService {
    Page<TbFullShopId> all(Integer page, Integer size, Integer shopId, String nickName, String openId, Integer state, Integer type);

    Optional<Boolean> updateShopState(ShopMsgStateDTO shopMsgStateDTO);

    Optional<Boolean> removeSubUser(ShopMsgRemoveDTO shopMsgRemoveDTO);

    Optional<Boolean> updateInfo(ShopInfoUpdateDTO shopInfoUpdateDTO);

    HashMap<String, Object> getInfo(Integer shopId, Integer type);
}
